3 Replies Latest reply: Jul 13, 2012 11:14 AM by Alan Teodoro RSS

    Corba x Fuse

    Alan Teodoro Newbie

      I have a project that invokes a third party jar that connets to a server by using CORBA. I  can run from eclipse the class and it work properly, but when I try to run inside the FUSE ESB, I get an error:

       

      org.omg.CORBA.DATA_CONVERSION:   vmcid: SUN  minor code: 214  completed: No

              at com.sun.corba.se.impl.logging.ORBUtilSystemException.badCustomSocketFactory(ORBUtilSystemException.java:3032)[:1.6.0_33]

              at com.sun.corba.se.impl.logging.ORBUtilSystemException.badCustomSocketFactory(ORBUtilSystemException.java:3051)[:1.6.0_33]

              at com.sun.corba.se.impl.orb.ParserTable$5.operate(ParserTable.java:668)[:1.6.0_33]

              at com.sun.corba.se.impl.orb.NormalParserAction.apply(NormalParserAction.java:29)[:1.6.0_33]

              at com.sun.corba.se.spi.orb.PropertyParser.parse(PropertyParser.java:52)[:1.6.0_33]

              at com.sun.corba.se.spi.orb.ParserImplBase.init(ParserImplBase.java:56)[:1.6.0_33]

              at com.sun.corba.se.impl.orb.ORBDataParserImpl.(ORBDataParserImpl.java:391)[:1.6.0_33]

              at com.sun.corba.se.impl.orb.ORBImpl.postInit(ORBImpl.java:438)[:1.6.0_33]

              at com.sun.corba.se.impl.orb.ORBImpl.set_parameters(ORBImpl.java:525)[:1.6.0_33]

              at org.omg.CORBA.ORB.init(ORB.java:337)[:1.6.0_33]

              at com.lhs.ccb.func.corba.CORBAAdapter.createORB(Unknown

      Source)[216:org.slf4j.slf4j-api:1.6.4]

       

      Is there any requirement for CORBA ? Any bundle to be installed ?

       

      Thanks,

       

      Alan